
<FlexboxLayout class="page">
    <StackLayout class="form" [formGroup]="form">
        <Label class="header" text="LivFit"></Label>
        <GridLayout rows="auto,auto,auto">
            <StackLayout row="0" class="input-field">
                <Label text="Email" class="input-label"></Label>
               <TextField class="input input-text input-border"
                    hint="Email"
                    returnKeyType="next"
                    KeyboardType = "email"
                    [autocorrect] = "false"
                    autocapitalizationType = "none"
                    formControlName="email"
                    #emailEl
               ></TextField>
               <Label
                 class="error-label"
                 *ngIf='!emailControlIsValid'
                 text = 'Please Enter Valid Email'
                 [ngClass]= "{ invalid : !emailControlIsValid }"
               ></Label>
            </StackLayout>
            <StackLayout row="1" class="input-field">
                <Label text="Password" class="input-label"></Label>
                <TextField class="input input-text input-border"
                    hint="Password" secure="true"
                    returnKeyType="done"
                    [autocorrect] = "false"
                    autocapitalizationType = "none"
                    formControlName="password"
                    #passwordEl
                ></TextField>
                <Label
                class="error-label"
                *ngIf='!passwordControlIsValid'
                text = 'Please Enter Valid Password'
                [ngClass]= "{ invalid : !passwordControlIsValid }"
              ></Label>
            </StackLayout>
         </GridLayout>
         <Button class="btn btn-primary" text="Login" (tap)="onSubmit()"></Button>
         <Label class="login-label" text="Forgot your Password?"></Label>
         <ActivityIndicator [busy] = "isLoading" color="blue" ></ActivityIndicator>
    </StackLayout>
 </FlexboxLayout>
